@rem ===== This test is executed from test.bat ======
@echo on

if not exist test1.bat goto nocd
cd bin\win32
"%1" = "EXTEND"
:nocd


@echo ########### 2 palette image #############
@rem Direct support: BMP, GIF, PCX, PNG, TGA, TIF XPM

convert ..\..\images\PEPPER3.bmp test_A.bmp /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\PEPPER3.bmp test_A.bmp /s
@if errorlevel 1 goto error

convert test_A.bmp test_A.ftg /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\PEPPER3.bmp test_A.ftg /IDX /s
@rem @if errorlevel 1 goto error

convert test_A.bmp test_A.gif /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\PEPPER3.bmp test_A.gif /s
@if errorlevel 1 goto error


convert test_A.bmp test_A.png /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\PEPPER3.bmp test_A.png /s
@if errorlevel 1 goto error

convert test_A.bmp test_A.pcx /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\PEPPER3.bmp test_A.pcx /s
@if errorlevel 1 goto error

convert test_A.bmp test_A.tga /s
@if errorlevel 1 goto errorc
gcomp test_A.gif test_A.tga /IDX /s
@if errorlevel 1 goto error

convert test_A.bmp test_A.tif /s
@if errorlevel 1 goto errorc
gcomp test_A.tga test_A.tif /IDX /s
@if errorlevel 1 goto error

convert test_A.bmp test_A.xpm /s
@if errorlevel 1 goto errorc
gcomp test_A.gif test_A.xpm /s
@if errorlevel 1 goto error



@echo ########### 4 palette image #############
@rem Direct support: BMP, GIF, PNG, XPM, TIF

convert ..\..\images\HEX_Cnt.gif test_B.bmp /PeelFrame 1 /s

convert ..\..\images\HEX_Cnt.gif test_B.gif /PeelFrame 1 /s
@if errorlevel 1 goto errorc
gcomp test_B.bmp test_B.gif /s
@if errorlevel 1 goto error

convert ..\..\images\HEX_Cnt.gif test_B.png /PeelFrame 1 /s
@if errorlevel 1 goto errorc
gcomp test_B.bmp test_B.png /s
@if errorlevel 1 goto error

convert ..\..\images\HEX_Cnt.gif test_B.tif /PeelFrame 1 /s
@if errorlevel 1 goto errorc
gcomp test_B.bmp test_B.tif /s
@if errorlevel 1 goto error

convert ..\..\images\HEX_Cnt.gif test_B.txt /PeelFrame 1 /s
@if errorlevel 1 goto errorc
gcomp test_B.bmp test_B.txt /s
@if errorlevel 1 goto error

convert ..\..\images\HEX_Cnt.gif test_B.xpm /PeelFrame 1 /s
@if errorlevel 1 goto errorc
gcomp test_B.bmp test_B.xpm /s
@if errorlevel 1 goto error



@echo ########### 16 palette image #############
@rem Direct support: BMP, GIF, PCX, PNG, TIF, WPG, XPM
@rem Indirect support: TXT

convert ..\..\images\VGALOGO.rle test_C.bmp /s

@if errorlevel 1 goto errorc
gcomp ..\..\images\VGALOGO.rle test_C.bmp /s
@if errorlevel 1 goto error

convert ..\..\images\VGALOGO.rle test_C.ftg /s
@if errorlevel 1 goto errorc
gcomp test_C.bmp test_C.ftg /s
rem @if errorlevel 1 goto error

convert ..\..\images\VGALOGO.rle test_C.gif /s
@if errorlevel 1 goto errorc
gcomp test_C.bmp test_C.gif /s
@if errorlevel 1 goto error

convert ..\..\images\VGALOGO.rle test_C.pcx /s
@if errorlevel 1 goto errorc
gcomp test_C.bmp test_C.pcx /s
@if errorlevel 1 goto error

convert ..\..\images\VGALOGO.rle test_C.png /s
@if errorlevel 1 goto errorc
gcomp test_C.bmp test_C.png /s
@if errorlevel 1 goto error

convert ..\..\images\VGALOGO.rle test_C.txt /s
@if errorlevel 1 goto errorc
gcomp test_C.bmp test_C.txt /s
@if errorlevel 1 goto error

convert ..\..\images\VGALOGO.rle test_C.tif /s
@if errorlevel 1 goto errorc
gcomp test_C.bmp test_C.tif /s
@if errorlevel 1 goto error

convert ..\..\images\VGALOGO.rle test_C.xpm /s
@if errorlevel 1 goto errorc
gcomp test_C.bmp test_C.xpm /s
@if errorlevel 1 goto error

convert ..\..\images\VGALOGO.rle test_C.wpg /s
@if errorlevel 1 goto errorc
gcomp test_C.bmp test_C.wpg /s
@if errorlevel 1 goto error



@echo ########### 256 palette image #############
@rem Direct support: BMP, EPS(ps), GIF, PCX, PNG, TGA, TIF, WPG, XPM

convert ..\..\images\assist.gif test_D.bmp /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\assist.gif test_D.bmp /s
@if errorlevel 1 goto error

convert test_D.bmp test_D.ftg /s   
@if errorlevel 1 goto errorc
gcomp ..\..\images\assist.gif test_D.ftg /s  
@if "%1" == "EXTEND" goto SKIPFAILURE6
rem @if errorlevel 1 goto error
:SKIPFAILURE6

convert ..\..\images\assist.gif test_D.gif /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\assist.gif test_D.gif /s
@if errorlevel 1 goto error

convert test_D.bmp test_D.pcx /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\assist.gif test_D.pcx /s
@if errorlevel 1 goto error

convert test_D.bmp test_D.png /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\assist.gif test_D.png /s
@if errorlevel 1 goto error

convert ..\..\images\assist.gif test_D.ps /s
@if errorlevel 1 goto errorc
gcomp test_D.bmp test_D.ps /s
@if errorlevel 1 goto error

convert ..\..\images\assist.gif test_D.tga /s
@if errorlevel 1 goto errorc
gcomp test_D.bmp test_D.tga /s
@if errorlevel 1 goto error

@rem ===C++ only===
@if not "%1" == "EXTEND" goto SKIPEX2

convert ..\..\images\assist.gif test_D.tif /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\assist.gif test_D.tif /s
@if errorlevel 1 goto error

convert /Format txt#gm ..\..\images\assist.gif test_D.txt /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\assist.gif test_D.txt /s
@if errorlevel 1 goto error

convert ..\..\images\assist.gif test_D.xpm /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\assist.gif test_D.xpm /s
@if errorlevel 1 goto error

convert ..\..\images\assist.gif test_D.wpg /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\assist.gif test_D.wpg /s
@if errorlevel 1 goto error


:SKIPEX2


@echo ########### 2 levels monochrome image #############

convert ..\..\images\lynne.pcx test_E.art /PeelPlane 7 /s
@if errorlevel 1 goto errorc

convert ..\..\images\lynne.pcx test_E.bmp /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_E.bmp test_E.art /s
@if errorlevel 1 goto error

@rem ===C++ only===
@if not "%1" == "EXTEND" goto SKIPEX6

convert ..\..\images\lynne.pcx test_E.csv /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_E.bmp test_E.csv /s
@if errorlevel 1 goto error

:SKIPEX6

convert ..\..\images\lynne.pcx test_E.ftg /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_E.bmp test_E.ftg /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_E.gif /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_E.bmp test_E.gif /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_E.oko /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_E.bmp test_E.oko /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_E.pcx /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_E.bmp test_E.pcx /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_E.png /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_E.bmp test_E.png /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_E.ps /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_E.bmp test_E.ps /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_E.ras /Format ras#topoL /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_E.bmp test_E.ras /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_E2.ras /Format ras#SUN /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_E.bmp test_E2.ras /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_E.tga /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_E.bmp test_E.tga /s
@if errorlevel 1 goto error

convert /Format txt#plain ..\..\images\lynne.pcx test_2a.txt /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_E.bmp test_2a.txt /s
@if errorlevel 1 goto error

@rem ===C++ only===
@if not "%1" == "EXTEND" goto SKIPEX_2MONO

convert /Format txt#gm ..\..\images\lynne.pcx test_2b.txt /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_E.bmp test_2b.txt /s
@if errorlevel 1 goto error


convert ..\..\images\lynne.pcx test_E.tif /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_E.bmp test_E.tif /s
@if errorlevel 1 goto error


convert ..\..\images\lynne.pcx test_E.wpg /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_E.bmp test_E.wpg /s
@if errorlevel 1 goto error


convert ..\..\images\lynne.pcx test_E.xpm /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_E.bmp test_E.xpm /s
@if errorlevel 1 goto error



:SKIPEX_2MONO



@echo ########### 16 levels gray image #############
@rem Direct support: OKO, TIF, PNG
@rem Indirect support (gray palette): BMP, GIF

convert /SeparateIDX Z:\prog\obrazky\final\images\VGALOGO.rle test_F.oko /s
@if errorlevel 1 goto errorc


convert /SeparateIDX Z:\prog\obrazky\final\images\VGALOGO.rle test_F.png /s
@if errorlevel 1 goto errorc
gcomp test_F.oko test_F.png /s
@if errorlevel 1 goto error

convert /SeparateIDX Z:\prog\obrazky\final\images\VGALOGO.rle test_F.ras /Format ras#SUN /s
@if errorlevel 1 goto errorc
gcomp test_F.oko test_F.ras /s
@if errorlevel 1 goto error

convert /SeparateIDX Z:\prog\obrazky\final\images\VGALOGO.rle test_F.tif /s
@if errorlevel 1 goto errorc
gcomp test_F.oko test_F.tif /s
@if errorlevel 1 goto error


convert test_F.oko test_F.bmp /s
@if errorlevel 1 goto errorc
gcomp test_F.tif test_F.bmp /s
@if errorlevel 1 goto error

convert test_F.oko test_F.gif /s
@if errorlevel 1 goto errorc
gcomp test_F.tif test_F.gif /s
@if errorlevel 1 goto error



@echo ########### 256 levels gray image #############

convert ..\..\images\lynne.pcx test_G.bmp /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lynne.pcx test_G.bmp /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_G.ftg /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lynne.pcx test_G.ftg /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_G.gif /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lynne.pcx test_G.gif /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_G.mat /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lynne.pcx test_G.mat /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_G.oko /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lynne.pcx test_G.oko /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_G.pcx /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lynne.pcx test_G.pcx /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_G.png /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lynne.png test_G.pcx /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_G.ps /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lynne.pcx test_G.ps /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_G.ras /Format ras#topoL /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lynne.pcx test_G.ras /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_G2.ras /Format ras#SUN /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lynne.pcx test_G2.ras /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_G.tga /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lynne.pcx test_G.tga /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_G.tif /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lynne.pcx test_G.tif /s
@if errorlevel 1 goto error

convert /Format txt#plain ..\..\images\lynne.pcx test_G.txt /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lynne.pcx test_G.txt /s
@if errorlevel 1 goto error

@rem ===C++ only===
@if not "%1" == "EXTEND" goto SKIPEX1

convert ..\..\images\lynne.pcx test_G.csv /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lynne.pcx test_G.csv /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_G.fts /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lynne.pcx test_G.fts /s
@if errorlevel 1 goto error

convert /Format txt#gm ..\..\images\lynne.pcx test_G.txt /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lynne.pcx test_G.txt /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_G.xpm /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lynne.pcx test_G.xpm /s
@if errorlevel 1 goto error

convert ..\..\images\lynne.pcx test_G.wpg /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lynne.pcx test_G.wpg /s
@if errorlevel 1 goto error


:SKIPEX1



@echo ########### 65536 levels gray image #############
@rem Direct support: BMP, FITS(fts), MAT, OKO, PNG, XPM

convert ..\..\images\lenaI16.mat test_H.ftg /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lenaI16.mat test_H.ftg /s
@if errorlevel 1 goto error

convert ..\..\images\lenaI16.mat test_H.bmp /s
@if errorlevel 1 goto errorc
gcomp test_H.ftg test_H.bmp /s
@if errorlevel 1 goto error

convert ..\..\images\lenaI16.mat test_H.csv /s
@if errorlevel 1 goto errorc
gcomp test_H.ftg test_H.csv /s
@if errorlevel 1 goto error

convert ..\..\images\lenaI16.mat test_H.mat /s
@if errorlevel 1 goto errorc
gcomp test_H.ftg test_H.mat /s
@if errorlevel 1 goto error

convert ..\..\images\lenaI16.mat test_H.oko /s
@if errorlevel 1 goto errorc
gcomp test_H.ftg test_H.oko /s
@if errorlevel 1 goto error

convert /Format txt#plain ..\..\images\lenaI16.mat test_H.txt /s
@if errorlevel 1 goto errorc
gcomp test_H.mat test_H.txt /s
@if errorlevel 1 goto error

@rem ===C++ only===
@if not "%1" == "EXTEND" goto SKIPEX3

convert ..\..\images\lenaI16.mat test_H.fts /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lenaI16.mat test_H.fts /s
@if errorlevel 1 goto error

convert ..\..\images\lenaI16.mat test_H.png /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\lenaI16.mat test_H.png /s
@if errorlevel 1 goto error

convert /Format txt#gm ..\..\images\lenaI16.mat test_H.txt /s
@if errorlevel 1 goto errorc
gcomp test_H.mat test_H.txt /s
@if errorlevel 1 goto error

convert ..\..\images\lenaI16.mat test_H.tif /s
@if errorlevel 1 goto errorc
gcomp test_H.mat test_H.tif /s
@if errorlevel 1 goto error

convert ..\..\images\lenaI16.mat test_H.xpm /s
@if errorlevel 1 goto errorc
gcomp test_H.mat test_H.xpm /s
@if errorlevel 1 goto error


@echo ########### RGB 16 bit color image #############

convert ..\..\images\input_16.tga test_8.bmp /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\input_16.tga test_8.bmp /s
@if errorlevel 1 goto error


convert ..\..\images\input_16.tga test_8.tga /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\input_16.tga test_8.tga /s
@if errorlevel 1 goto error




:SKIPEX3
@echo ########### RGB 24 bit color image #############


@rem #!!!!!Test fails !!!!!!
convert ..\..\images\i24.bmp test_4.ftg /s
@if errorlevel 1 goto errorc


gcomp ..\..\images\i24.bmp test_4.ftg /s

@rem @if "%1" == "EXTEND" goto SKIPFAILURE1
@rem @if errorlevel 1 goto error
@rem :SKIPFAILURE1


rem #Test fails !!!!!!
convert test_4.ftg test_4.bmp /s
@if errorlevel 1 goto errorc

gcomp test_4.ftg test_4.bmp /s

@if "%1" == "EXTEND" goto SKIPFAILURE2
@if errorlevel 1 goto error
:SKIPFAILURE2

convert test_4.bmp test_4.mat /s
@if errorlevel 1 goto errorc
gcomp test_4.bmp test_4.mat /s
@if errorlevel 1 goto error

convert test_4.bmp test_4.pcx /s
@if errorlevel 1 goto errorc
gcomp test_4.bmp test_4.pcx /s
@if errorlevel 1 goto error

convert test_4.bmp test_4.eps /s
@if errorlevel 1 goto errorc
gcomp test_4.bmp test_4.eps /s
@if errorlevel 1 goto error

convert test_4.bmp test_4a.ras /Format ras#topoL /s
@if errorlevel 1 goto errorc
gcomp test_4.bmp test_4a.ras /s
@if errorlevel 1 goto error

convert test_4.bmp test_4b.ras /Format ras#SUN /s
@if errorlevel 1 goto errorc
gcomp test_4.bmp test_4b.ras /s
@if errorlevel 1 goto error


convert test_4.bmp test_4.tga /s
@if errorlevel 1 goto errorc
gcomp test_4.bmp test_4.tga /s
@if errorlevel 1 goto error


@rem ===C++ only===
@if not "%1" == "EXTEND" goto SKIPEX4

convert /Format txt#gm test_4.bmp test_4.txt /s
@if errorlevel 1 goto errorc
gcomp test_4.bmp test_4.txt /s
@if errorlevel 1 goto error


convert test_4.bmp test_4.fts /s
@if errorlevel 1 goto errorc
gcomp test_4.bmp test_4.fts /s
@if errorlevel 1 goto error


convert test_4.bmp test_4.png /s
@if errorlevel 1 goto errorc
gcomp test_4.bmp test_4.png /s
@if errorlevel 1 goto error


convert test_4.bmp test_4.tif /s
@if errorlevel 1 goto errorc
gcomp test_4.bmp test_4.tif /s
@if errorlevel 1 goto error


:SKIPEX4


@echo ########### ARGB 32 bit color image #############
@rem Direct support: BMP, PCX, PNG

convert ..\..\images\gracehop.bmp test_Y.pcx /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\gracehop.bmp test_Y.pcx /s
@if errorlevel 1 goto error

convert ..\..\images\gracehop.bmp test_Y.png /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\gracehop.bmp test_Y.png /s
@if errorlevel 1 goto error

convert /Format txt#gm ..\..\images\gracehop.bmp test_Y.txt /s
@if errorlevel 1 goto errorc
gcomp test_Y.pcx test_Y.txt /s
@if errorlevel 1 goto error




@echo ############# Floats ###################

convert ..\..\images\floatmsb.fts test_Z.csv /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\floatmsb.fts test_Z.csv /s
@if errorlevel 1 goto error

convert ..\..\images\floatmsb.fts test_Z.fts /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\floatmsb.fts test_Z.fts /s
@if errorlevel 1 goto error

convert test_Z.fts test_Z.mat /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\floatmsb.fts test_Z.fts /s
@if errorlevel 1 goto error

convert /Format txt#plain ..\..\images\floatmsb.fts test_Z.txt /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\floatmsb.fts test_Z.txt /s
@if errorlevel 1 goto error



@echo ############# Doubles ###################

@rem ===C++ only===
@if not "%1" == "EXTEND" goto SKIPEX5

convert ..\..\images\double.mat test_5.csv /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\double.mat test_5.csv /s
@if errorlevel 1 goto error

convert ..\..\images\double.mat test_5.fts /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\double.mat test_5.fts /s
@if errorlevel 1 goto error

convert test_5.fts test_5.mat /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\double.mat test_5.fts /s
@if errorlevel 1 goto error

convert /Format txt#plain ..\..\images\double.mat test_5.txt /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\double.mat test_5.txt /s
@if errorlevel 1 goto error

:SKIPEX5


@echo ############# Multiple frames ###################


convert ..\..\images\HEX_Cnt.gif test_9.bmp /s
@if errorlevel 1 goto errorc
gcomp ..\..\images\HEX_Cnt.gif test_9.bmp /s
@if errorlevel 1 goto error

convert ..\..\images\HEX_Cnt.gif test_9.gif /s
@if errorlevel 1 goto errorc
gcomp test_9.bmp test_9.gif /s
@if errorlevel 1 goto error

@rem Gray only
@rem convert ..\..\images\HEX_Cnt.gif test_9.mat /s
@rem @if errorlevel 1 goto errorc
@rem gcomp test_9.bmp test_9.mat /s
@rem @if errorlevel 1 goto error

convert ..\..\images\HEX_Cnt.gif test_9.tga /s
@if errorlevel 1 goto errorc
gcomp test_9.gif test_9.tga /s
@if errorlevel 1 goto error

convert ..\..\images\HEX_Cnt.gif test_9.txt /s
@if errorlevel 1 goto errorc
gcomp test_9.gif test_9.txt /s
@if errorlevel 1 goto error


@echo ############# END OF TESTS ###################


@echo off
@echo ###############################################

@echo on
@ren del test_?.*
del test_?.*
del test_??.*
@echo off
goto done

:errorc
@echo off
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo Convert of image has been failed
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
goto done

:error
@echo off
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo Test procedure has been failed.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

:done

